# FLa4a 1.0.0:

## NEW FEATURES:
- ma() now takes any function to compute weights
- tests extended to check sca/a4aSCA defaults submodels
- sca and a4aSCA have the same default submodels
- wireframe for FLQuant
- plot fits vs observation improved (yaxis removed)
- new vignette for introduction
- new vignette for growth modelling
- new vignette for natural mortality modelling
- new vignette for stock assessment
- new themes for residual plots
- default model in sca changed from if (ka < 3) ka else min(max(3, floor(.5 * ka)), 6) to if (ka < 3) ka else min(max(3, floor(.66 * ka)), 10), adding more degress of freedom. It has been noticed that age tends to be modelled with a reduced number of ks. 

##	BUG FIXES:
- man pages reviewed

# FLa4a 0.800.x:

##	BUG FIXES:
- a4aInternal to remove files after a4a ADMB run

# FLa4a 0.700.x:

## BUG FIXES:
- a4aInternal was calling check.executable() which isn't needed and was making a mess in parallel
- sr geomean fixed, it was failing due to including par "b" in outcome while admb was not reporting.
- R~ssb was using the previous year to compute SSB, now it matches the SSB with the correct yearclass.
- Biomass age ranges for fitting biomass indices was not computed properly, was using position instead of real ages.
- MCMC with hybrid method was not working due to mcsave wrongly set, must be 1.

# FLa4a 0.600.x:

## NEW FEATURES:
- MCMC fits, including tests
- a4a tpl copy method
- coda coercing

# FLa4a 0.500.x:

## NEW FEATURES:
- plots for residuals, fitted and observed changed to a gray theme and visuals updated.
- plot for residuals uses latticeExtra if present to plot the names of the fleets in the left side strip.
- plot for residuals includes aggregated catch in weight. 
- fitSumm includes a flag on convergence, 0 for true and 1 for false, to be inline with optim, although 1 doesn't mean the iters were finished just that it didn't converge. Tests updated.
- a4aSCA method now has the option to center only part of the fleets using a numeric vector (subsetting by position). It tries to get around the scaling issues by giving opportunity to scale only parts of the data. Scaling indices sometimes (allways ?) makes the qs less scaled with fs. Tests updated.

## BUG FIXES:
- plot for fitted and observed includes legend to id fit and obs
- plot for fitted and indices no longer calls x11 if more than one index, users must use multiplot device

# FLa4a 0.300.x:

## NEW FEATURES:
- Models can have up to 500 characters instead of the default 60. The previous limitation was creating problems, for example, when fitting models for individual ages, which were longer than 60 characters. 

## FLa4a 0.200.x:

## NEW FEATURES:
- added a generalized cross validation score to the fitSumm information 
- message about predictions turned off by default

## BUG FIXES:
- plot(fit, indices) legend added 

# FLa4a 0.150.x:

## NEW FEATURES:
- predict methods revised, not possible to predict stkpars of submodels
- tests updated

## BUG FIXES:
- predict of age specific biomass index now returns quant="all" and not the age range 
- default qmodel with sca was failing when index had less then 4 ages, now it sets ~1 if one age, ~age if 2 or 3 ages, ~s(age, k=??) for more then 3 ages
 
# FLa4a 0.140.x:

## NEW FEATURES:
- variance covariance matrix now comes from ADMB cov binary instead of inverting the hessian
## BUG FIXES:
- a4aInternal was accepting zero variances, now fixed 

# FLa4a 0.130.0:

## NEW FEATURES:
- tests on simulate revised and extended
- tests on WCSAM revised

## BUG FIXES:
- mvrnorm bugfix for empirical = T and n < length(mu) fixed by an internal function "mvrEmpT" which is called by simulate. 

# FLa4a 0.120.0:

## NEW FEATURES:
- simulate includes the argument "empirical" to be passed to mvrnorm
- l2a checks t0 that generate negative ages
- tests on l2a and predict revised and extended

## BUG FIXES:
- bug on indexing surveytime fixed
- bug on name matching between parameters and indices names fixed

# FLa4a 0.110.0:

## NEW FEATURES:
- class a4aStkParams includes a "wt" slot to carry on stock weights
- method a4aSCA uses an age range for biomass indices that is set in the range slot of the index
- method a4aSCA tags the index FLQuant using attr with info about the range and if it is a biomass index
- method simulate takes into account the range of the biomass index	
